/*******************************************************************************
 * Example mongoose server
 *
 * main.h:  Setup, initialization and startup of the web server.
 ******************************************************************************/

/*========================================================================
 * Error Messages
 *=======================================================================*/
#define S_E_DOCROOOTFAIL    "Document root unavailable.  Path = %s\n"
#define S_E_NOAUTH          "Missing authorization input file.\n"
#define S_E_NOSUCHFILE      "Missing input file: %s\n"
#define S_E_AUTHOPENFAIL    "Failed to open authorization input file.\n"
#define S_E_AUTHDELFAIL     "Failed to delete authorization input file.\n"
#define S_E_NOAUTHDATA      "No data in authorization input file.\n"
#define S_E_PIDOPENFAIL     "Failed to open pid file for output.\n"

/*========================================================================
 * Text strings 
 *=======================================================================*/

#define USAGE \
"\n\
mgoose [ -p <port> | -h? ]\n\
where\n\
    -p      Specify the port to use for web access. \n\
\n\
"

/* Global variable declarations. */
#ifndef MASTER
extern char *port;
extern char *documentRoot;
#endif

