/*******************************************************************************
 * Example mongoose server
 *
 * css.h:  CSS code for various pages of the web server.
 ******************************************************************************/

/* General CSS for all pages. */
#define CSS_BODY \
            "body      { margin:0px; }\r\n" \
            "a:link    { color:black; text-decoration:none; }\r\n" \
            "a:visited { color:black; text-decoration:none; }\r\n" \
            "a:hover   { color:#781351; text-decoration:none; }\r\n" \
            "a:active  { color:#781351; text-decoration:none; }\r\n" \
            "ul        { margin:0px; padding:4px; }\r\n" \
            "li        { list-style-type: none; padding: 2px; }\r\n" \
            ".nav { \r\n" \
            "  border-top:      1px black solid; \r\n" \
            "  margin:          0px; \r\n" \
            "  list-style-type: none; \r\n" \
            "  padding:         2px; \r\n" \
            "  font-style:      italic; \r\n" \
            "  font-size:       0.75em; \r\n" \
            "  text-transform:  uppercase; \r\n" \
            "}\r\n" \
            "img.centered { \r\n" \
            "  display: block; \r\n" \
            "  margin-left:auto; \r\n" \
            "  margin-right:auto; \r\n" \
            "}\r\n" \
            "#banner {\r\n" \
            "  display: block; \r\n" \
            "  width: 100%; \r\n" \
            "  height: 77px; \r\n" \
            "  text-align: center; \r\n" \
            "  background:#000 url('/images/bg.png') no-repeat top left; \r\n" \
            "}\r\n" \
            "#content {\r\n" \
            "  margin-left: auto;\r\n" \
            "  margin-right: auto;\r\n" \
            "}\r\n" \
            "fieldset{\r\n" \
            "  border: 1px solid #781351;\r\n" \
            "  width: 31em;\r\n" \
            "  margin-top: 100px;\r\n" \
            "  margin-left: auto;\r\n" \
            "  margin-right: auto;\r\n" \
            "}\r\n" \
            "legend{\r\n" \
            "  color: #fff;\r\n" \
            "  background: #ffa20c;\r\n" \
            "  border: 1px solid #781351;\r\n" \
            "  padding: 2px 6px\r\n" \
            "}\r\n" \
            ".errMsg {\r\n" \
            "  display: block;\r\n" \
            "  padding-top: 5px;\r\n" \
            "  padding-bottom: 5px;\r\n" \
            "  text-align: center;\r\n" \
            "  margin-right: 0.5em;\r\n" \
            "  margin-left: 0.5em;\r\n" \
            "  background: #FAAEAE;\r\n" \
            "  border: 1px solid black;\r\n" \
            "}\r\n"
