/*******************************************************************************
 * Example mongoose server
 *
 * mongooseMgr.h:  Handle outbound HTTP request processing.
 *
 * All functions must be thread safe since they are being called from 
 * mongoose-managed callbacks, which are each in their own thread.
 ******************************************************************************/

#include <stdlib.h>
#include <time.h>
#include <string.h>
#include <stdio.h>
#include <uuid/uuid.h>
#include "mongoose.h"

/*========================================================================
 * TEXT STRINGS
 *=======================================================================*/
#define S_EXPIRATION_TEMPLATE   "Sat, 02 May 2009 23:38:25 GMT"
#define S_DOCROOT               "/docRoot"
#define REALM                   "mongoose.com"

#define BANNER "<div id=\"banner\"><img src=\"/images/banner.png\"/></div>\r\n"
#define FAVICON "<link rel=\"icon\" type=\"image/vnd.microsoft.icon\" href=\"/images/favicon.ico\">\r\n"

/*========================================================================
 * TYPEDEFS
 *=======================================================================*/

/** Prototypes */
#ifndef MONGOOSEMGR
extern void mongooseMgrInit();
#endif

